using System;
using System.Collections.Generic;

public class HelloWorld
{
    public static void Main(string[] args)
    {
       int br=0;
        int X,Y,x,y,z;
        X=int.Parse(Console.ReadLine());
        Y=int.Parse(Console.ReadLine());
        z=1000000000;
        List<int> cifre = new List<int>();
        if(X<z && Y<z)
        {
            while(X>0 || Y>0){
            x=0;
            y=0;
            br=0;
            x=X%10;
            y=Y%10;
            X=X/10;
            Y=Y/10;
            if(x>y){
            br=x;
            }else if (y>x){
            br=y;
            }else if(x==y){
            br=10*x+y;}
            cifre.Add(br);
            }
        }
        cifre.Reverse();
        foreach(int item in cifre)
        Console.Write(item);
    }
}